import '@babel/polyfill'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/assets/iconfont/iconfont.css'

Vue.config.productionTip = false

document.title = store.state.projectName

// 引入mock模拟接口请求
// require('./mock');
Vue.use(VueBaiduMap.default, {
  ak: 'FGFpem3oLCpyLVegEgIGt0dt28MWuH4l'
})

// 全局样式配置
Vue.prototype.$SANHUI = {
  tableClassName: 'xy-table',
  formClassName: 'xy-form',
  crumbClassName: 'xy-crumb'
};

const vm = new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')

export default vm